package io.gmss.fiscad.interfaces.infocad.parametre;

import io.gmss.fiscad.entities.infocad.parametre.TypePiece;
import io.gmss.fiscad.exceptions.BadRequestException;
import io.gmss.fiscad.exceptions.NotFoundException;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Optional;

public interface TypePieceService {

    TypePiece createTypePiece(TypePiece typePiece) throws BadRequestException;

    TypePiece updateTypePiece(Long id, TypePiece typePiece) throws NotFoundException;

    void deleteTypePiece(Long id) throws NotFoundException;

    Page<TypePiece> getTypePieceList(Pageable pageable);

    List<TypePiece> getTypePieceList();

    Optional<TypePiece> getTypePieceById(Long id);
}
